Bulk add DNC entries
curl --request POST \
--url https://api-message.nativehub.live/api/v1/dnc/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"numbers": [
"+8801812345678",
"+8801812345679",
"+8801812345680"
],
"reason": "Bulk opt-out"
}
'import requests
url = "https://api-message.nativehub.live/api/v1/dnc/bulk"
payload = {
"numbers": ["+8801812345678", "+8801812345679", "+8801812345680"],
"reason": "Bulk opt-out"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
numbers: ['+8801812345678', '+8801812345679', '+8801812345680'],
reason: 'Bulk opt-out'
})
};
fetch('https://api-message.nativehub.live/api/v1/dnc/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"added": 3,
"skipped": 0
}DNC
Bulk add DNC entries
Add multiple phone numbers to Do Not Contact list
POST
/
dnc
/
bulk
Bulk add DNC entries
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I